/**
 * @see angular  注册自定义指令，实现公共页面引入
 */
define('header', ['app'], function (app) {
    'use strict';
    app.directive('header', function () {
        return {
            template: ' <!-- BEGIN HEADER INNER -->\
            <div class="page-header-inner ">\
            <!-- BEGIN LOGO -->\
            <div class="page-logo">\
                <img src="../../assets/admin/layout/img/logo.png" style="margin-top: .5em;margin-left:-1.0em;" alt="logo" class="logo-default">\
            </div>\
            <!-- END LOGO -->\
            <!-- BEGIN TOP NAVIGATION MENU -->\
            <div class="top-menu">\
                <ul class="nav navbar-nav pull-right">\
                    <!-- BEGIN USER LOGIN DROPDOWN -->\
                    <!-- DOC: Apply "dropdown-dark" class after below "dropdown-extended" to change the dropdown styte -->\
                    <li class="dropdown dropdown-user">\
                        <a href="javascript:;" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">\
                            <img alt="" class="img-circle" src="../../assets/admin/layout/img/avatar.png">\
                            <span class="username username-hide-on-mobile" data-ng-bind="phone"></span> <i class="fa fa-angle-down"></i>\
                        </a>\
                        <ul class="dropdown-menu dropdown-menu-default">\
                            <!--<li>\
                                <a href="javascript:void(0);" class="changePass"> <i class="fa fa-edit"></i> 修改密码</a>\
                            </li>\
                            <li class="divider"></li>-->\
                            <li>\
                                <a href="javascript:void(0);" data-ng-click="logout();"> <i class="icon-logout"></i> 退出账号</a>\
                            </li>\
                        </ul>\
                    </li>\
                    <!-- END USER LOGIN DROPDOWN -->\
                </ul>\
            </div>\
            <!-- END TOP NAVIGATION MENU -->\
        </div>\
        <!-- END HEADER INNER -->'
        };
    })
});